const std = @import("std");

pub fn readFile(path: []const u8) !void {
        const p = std.io.getStdOut().writer();
        var buff: [256]u8 = undefined;
        const file = try std.fs.cwd().openFile(path,
            .{ .mode = .read_only }
        );
        defer file.close();
        //const reader = try file.reader().readUntilDelimiterOrEof(&buff, '\n');

        while (try file.reader().readUntilDelimiterOrEof(&buff, '\n')) |i| {
            try p.print("{s}\n", .{i});
        }
}

pub fn main() !void {
    //var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    //defer _ = gpa.deinit();
    //const allocator = gpa.allocator();

    const p = std.io.getStdOut().writer();

    try p.print("20 text/gemini\r\n", .{});

    try p.print("# Server info\n## RAW RAM info\n", .{});
    try readFile("/proc/meminfo");
    //try readFile("/proc/loadavg");

}
